% yLsmall = trsp(Gfull,[0.001,0,0,0]',600);
% yVsmall = trsp(Gfull,[0,0.001,0,0]',600);
% yLbig = trsp(Gfull,[0.05,0,0,0]',600);
% yVbig = trsp(Gfull,[0,0.01,0,0]',600);

%time vectors
tLsmall = getiv(yLsmall);
tVsmall = getiv(yVsmall);
tLbig = getiv(yLbig);
tVbig = getiv(yVbig);

%deviation log compositions
XLlinsmall = [yLsmall(1:2:(end-1),1), yLsmall(2:2:(end-1),1), tLsmall];
XVlinsmall = [yVsmall(1:2:(end-1),1), yVsmall(2:2:(end-1),1), tVsmall];
XLlinbig   = [yLbig(1:2:(end-1),1), yLbig(2:2:(end-1),1), tLbig];
XVlinbig   = [yVbig(1:2:(end-1),1), yVbig(2:2:(end-1),1), tVbig];

%actual compositions
xLlinsmall = [1-exp(XLlinsmall(:,1)+log(0.03)), exp(XLlinsmall(:,2)+log(0.01)), tLsmall];
xVlinsmall = [1-exp(XVlinsmall(:,1)+log(0.03)), exp(XVlinsmall(:,2)+log(0.01)), tVsmall];
xLlinbig   = [1-exp(XLlinbig(:,1)+log(0.03)), exp(XLlinbig(:,2)+log(0.01)), tLbig];
xVlinbig   = [1-exp(XVlinbig(:,1)+log(0.03)), exp(XVlinbig(:,2)+log(0.01)), tVbig];

% figure(1);
% 
% subplot(2,2,1);
% plot(xLlinsmall(:,3),xLlinsmall(:,1),XLnlsmall(:,3),XLnlsmall(:,1),'x')
% ylabel('y_d')
% xlabel('time [min]')
% title('Step in reflux')
% 
% subplot(2,2,3);
% plot(xLlinsmall(:,3),xLlinsmall(:,2),XLnlsmall(:,3),XLnlsmall(:,2),'x')
% ylabel('x_b')
% xlabel('time [min]')
% 
% subplot(2,2,2);
% plot(xVlinsmall(:,3),xVlinsmall(:,1),XVnlsmall(:,3),XVnlsmall(:,1),'x')
% ylabel('y_d')
% xlabel('time [min]')
% title('Step in boilup')
% 
% subplot(2,2,4)
% plot(xVlinsmall(:,3),xVlinsmall(:,2),XVnlsmall(:,3),XVnlsmall(:,2),'x')
% ylabel('x_b')
% xlabel('time [min]')
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% figure(2);
% 
% subplot(2,2,1);
% plot(xLlinbig(:,3),xLlinbig(:,1),XLnlbig(:,3),XLnlbig(:,1),'x')
% ylabel('y_d')
% xlabel('time [min]')
% title('Step in reflux')
% 
% subplot(2,2,3);
% plot(xLlinbig(:,3),xLlinbig(:,2),XLnlbig(:,3),XLnlbig(:,2),'x')
% ylabel('x_b')
% xlabel('time [min]')
% 
% subplot(2,2,2);
% plot(xVlinbig(:,3),xVlinbig(:,1),XVnlbig(:,3),XVnlbig(:,1),'x')
% ylabel('y_d')
% xlabel('time [min]')
% title('Step in boilup')
% 
% subplot(2,2,4)
% plot(xVlinbig(:,3),xVlinbig(:,2),XVnlbig(:,3),XVnlbig(:,2),'x')
% ylabel('x_b')
% xlabel('time [min]')
% 
% 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% figure(3);
% 
% subplot(2,2,1);
% plot(XLlinsmall(:,3),XLlinsmall(:,1),XLnlsmall(:,3),log(1-XLnlsmall(:,1))-log(0.03),'x')
% ylabel('Y_d')
% xlabel('time [min]')
% title('Step in reflux')
% 
% subplot(2,2,3);
% plot(XLlinsmall(:,3),XLlinsmall(:,2),XLnlsmall(:,3),log(XLnlsmall(:,2))-log(0.01),'x')
% ylabel('X_b')
% xlabel('time [min]')
% 
% subplot(2,2,2);
% plot(XVlinsmall(:,3),XVlinsmall(:,1),XVnlsmall(:,3),log(1-XVnlsmall(:,1))-log(0.03),'x')
% ylabel('Y_d')
% xlabel('time [min]')
% title('Step in boilup')
% 
% subplot(2,2,4)
% plot(XVlinsmall(:,3),XVlinsmall(:,2),XVnlsmall(:,3),log(XVnlsmall(:,2))-log(0.01),'x')
% ylabel('X_b')
% xlabel('time [min]')
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% figure(4);
% 
% subplot(2,2,1);
% plot(XLlinbig(:,3),XLlinbig(:,1),XLnlbig(:,3),log(1-XLnlbig(:,1))-log(0.03),'x')
% ylabel('Y_d')
% xlabel('time [min]')
% title('Step in reflux')
% 
% subplot(2,2,3);
% plot(XLlinbig(:,3),XLlinbig(:,2),XLnlbig(:,3),log(XLnlbig(:,2))-log(0.01),'x')
% ylabel('X_b')
% xlabel('time [min]')
% 
% subplot(2,2,2);
% plot(XVlinbig(:,3),XVlinbig(:,1),XVnlbig(:,3),log(1-XVnlbig(:,1))-log(0.03),'x')
% ylabel('Y_d')
% xlabel('time [min]')
% title('Step in boilup')
% 
% subplot(2,2,4)
% plot(XVlinbig(:,3),XVlinbig(:,2),XVnlbig(:,3),log(XVnlbig(:,2))-log(0.01),'x')
% ylabel('X_b')
% xlabel('time [min]')

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

g11 = tf(-20.6,[19.6 1],'iodelay', 1.49);
g22 = tf(-145,[184 1],'iodelay',1.52);
t = linspace(0,600,50);
u = 2*0.001*ones(50,1);
Yd = 1/5.48481494774708*lsim(g11,u,t);
Xb =  1/1.44269504088896*lsim(g22,u,t);
select = [1:500:5000 5500:2000:7500 7500:5000:size(XLlinsmall(:,3),1)];
figure(5);
subplot(1,2,1);
plot(t,Yd,XLlinsmall(select,3),XLlinsmall(select,1),'x')
ylabel('Y_d')
xlabel('time [min]')
title('Step in reflux')

subplot(1,2,2);
plot(t,Xb,XVlinsmall(1:5000:end,3),XVlinsmall(1:5000:end,2),'x')
ylabel('X_b')
xlabel('time [min]')
title('Step in boilup')

